SDL_TextInputEvent Struct Reference

Keyboard text input event structure (event.text.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Uint32 | windowID
char | text [SDL_TEXTINPUTEVENT_TEXT_SIZE]

## Detailed Description

Keyboard text input event structure (event.text.*)

Definition at line 218 of file SDL_events.h.

## Field Documentation

char SDL_TextInputEvent::text[SDL_TEXTINPUTEVENT_TEXT_SIZE]

The input text

Definition at line 223 of file SDL_events.h.

Referenced by loop(), main(), SDL_SendKeyboardText(), and SDLTest_PrintEvent().

Uint32 SDL_TextInputEvent::timestamp

Definition at line 221 of file SDL_events.h.

Uint32 SDL_TextInputEvent::type

SDL_TEXTINPUT

Definition at line 220 of file SDL_events.h.

Uint32 SDL_TextInputEvent::windowID

The window with keyboard focus, if any

Definition at line 222 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

The documentation for this struct was generated from the following file:

- include/SDL_events.h